package com.community.huiju.service;

import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;

/**
 * 用户 业务
 * @author weiximei
 */
public interface IToUserService {

    /**
     * 用户登录
     * @param loginName
     * @param code 验证码
     * @return
     */
    ResponseBean login(String loginName,String code);

    /**
     * 获取用户信息
     * @param userId
     * @return
     */
    ResponseBean getInfo(Integer userId);

    /**
     * 获取成员列表
     * @param parameter
     * @return
     */
    ResponseBean userList(String parameter);

    /**
     * 添加成员角色
     * @param parameter
     * @param UserID
     * @return
     */
    ResponseBean addUser(String parameter,Integer UserID,Integer communityId);

    /**
     * 修改成员
     * @param parameter
     * @param id
     * @return
     */
    ResponseBean upDate(String parameter, Integer id);

    /**
     * 查看成员详情
     * @param parameter
     * @param id
     * @return
     */
    ResponseBean selectById(String parameter, Integer id);

    /**
     * 修改当前状态
     * @param parameter
     * @return
     */
    ResponseBean upDateStatus(String parameter,Integer userID);

    /**
     * 获取当前所有电话
     * @param userElement
     * @param userName
     * @param tel
     * @param remark
     * @param pageNum
     * @param pageSize
     * @return
     */
    ResponseBean getPhoneList(UserElement userElement, String userName, String tel, String remark, Integer pageNum, Integer pageSize);

    /**
     * 添加当前电话
     * @param userElement
     * @param name
     * @param tel
     * @param remark
     * @return
     */
    ResponseBean operateAdd(UserElement userElement, String name, String tel, String remark);

    /**
     * 查询当前电话
     * @param userElement
     * @param parameter
     * @return
     */
    ResponseBean getoperateId(UserElement userElement, String parameter);

    /**
     * 修改当前电话
     * @param userElement
     * @param name
     * @param tel
     * @param remark
     * @return
     */
    ResponseBean phoneedit(UserElement userElement, String name, String tel, String remark,Integer id);

    /**
     * 删除当前电话
     * @param userElement
     * @param parameter
     * @return
     */
    ResponseBean operatedel(UserElement userElement, String parameter);

    /**
     *反馈信息
     * @param userElement
     * @param content
     * @param tel
     * @param handleStatus
     * @param pageNum
     * @param pageSize
     * @return
     */
    ResponseBean feedback(UserElement userElement, String content, String tel, String handleStatus, Integer pageNum, Integer pageSize);

    /**
     * 处理消息
     * @param userElement
     * @param parameter
     * @return
     */
    ResponseBean updfeedback(UserElement userElement, String parameter);
}
